<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100001";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	///Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	///Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
		
	///Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	///Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	///Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	///Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
			
	///Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
			$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
			if (mysql_numrows($sqlCR2)==0) echo "";
			else{
			$registroCR2=mysql_fetch_array($sqlCR2);
			}
			if (mysql_numrows($sqlCR2)>0)
			{
			$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
			}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<?PHP

///***************** INICIA PROCESO 1 - Generar ficheros ZPL dentro del FTP	*****************///
			
///Hacer Barrido para Identificar si hay Pendientes  por Imprimir
$sql_w1=mysql_query("select * from temporal_etiquetapallet Order By ID ASC");
while($res_w1=mysql_fetch_array($sql_w1))
{///Inicia While 01
	
$IdBaDa_Q1 = $res_w1['ID'];
$CveBod_Q1 = $res_w1['CVE_BODEGA'];
$CveCta_Q1 = $res_w1['CVE_CUENTA'];
$NumDoc_Q1 = $res_w1['NO_DOC_COMPLE'];
$CodSku_Q1 = $res_w1['SKU'];
$FecCad_Q1 = $res_w1['CADUCIDAD'];
$Cantid_Q1 = $res_w1['PIEZAS'];
$NumPal_Q1 = $res_w1['NO_PALLET'];	
	
			
	///Consultar Datos Faltantes dentro del Stock
	$sql_Q2 = mysql_query("select DESCRIPCION,LOTE from tabla_inventario Where SKU='$CodSku_Q1' and NO_PALLET='$NumPal_Q1'  and NO_DOCUMENTO='$NumDoc_Q1'");
	if (mysql_numrows($sql_Q2)==0) echo "";
	else{
	$registro_Q2=mysql_fetch_array($sql_Q2);
	}
	if (mysql_numrows($sql_Q2)>0)
	{
	$Descri_Q2=$registro_Q2["DESCRIPCION"];
	$VarLot_Q2=$registro_Q2["LOTE"];
	}

	///Creamos un archivo nuevo
	$file = fopen("FTP_Labels/Pallet/$NumPal_Q1.zpl", "w");
			
	fwrite($file,"^XA" . PHP_EOL);	

	fwrite($file,"^FX Top section with logo, name and address." . PHP_EOL);
	fwrite($file,"^CF0,60" . PHP_EOL);


	fwrite($file,"^FO245,50^FDLogsys WMS.^FS" . PHP_EOL);
	fwrite($file,"^CF0,30" . PHP_EOL);
	fwrite($file,"^FO270,115^FDwww.logsyswms.com^FS" . PHP_EOL);
	fwrite($file,"^FO50,160^GB700,3,3^FS" . PHP_EOL);

	fwrite($file,"^FO50,185^FDLicenciado a:^FS" . PHP_EOL);
	fwrite($file,"^FO50,225^FDPARTIMAR S.A. de C.V.^FS" . PHP_EOL);
	fwrite($file,"^FO50,272^GB700,3,3^FS" . PHP_EOL);

	fwrite($file,"^FX Second section with recipient address and permit information." . PHP_EOL);
	fwrite($file,"^CF0,50" . PHP_EOL);
	fwrite($file,"^FO50,300^FDEtiqueta de Pallet^FS" . PHP_EOL);

	fwrite($file,"^CF0,40" . PHP_EOL);
	fwrite($file,"^FO50,390^FD# INGRESO:^FS" . PHP_EOL);
	fwrite($file,"^CFA,40" . PHP_EOL);
	fwrite($file,"^FO50,440^FD$NumDoc_Q1^FS" . PHP_EOL);

	fwrite($file,"^CF0,40" . PHP_EOL);
	fwrite($file,"^FO50,520^FDSKU:^FS" . PHP_EOL);
	fwrite($file,"^CFA,40" . PHP_EOL);
	fwrite($file,"^FO50,570^FD$CodSku_Q1^FS" . PHP_EOL);

	fwrite($file,"^CF0,40" . PHP_EOL);
	fwrite($file,"^FO50,650^FDCADUCIDAD:^FS" . PHP_EOL);
	fwrite($file,"^FO450,650^FDLOTE:^FS" . PHP_EOL);
	fwrite($file,"^CFA,40" . PHP_EOL);
	fwrite($file,"^FO50,700^FD$FecCad_Q1^FS" . PHP_EOL);
	fwrite($file,"^FO450,700^FD$VarLot_Q2^FS" . PHP_EOL);

	fwrite($file,"^CF0,40" . PHP_EOL);
	fwrite($file,"^FO50,780^FDCANTIDAD:^FS" . PHP_EOL);
	fwrite($file,"^CFA,40" . PHP_EOL);
	fwrite($file,"^FO50,830^FD$Cantid_Q1^FS" . PHP_EOL);

	fwrite($file,"^CFA,22" . PHP_EOL);
	fwrite($file,"^FO50,910^FD$Descri_Q2^FS" . PHP_EOL);

	fwrite($file,"^CFA,15" . PHP_EOL);


	fwrite($file,"^FO50,950^GB700,3,3^FS" . PHP_EOL);

	fwrite($file,"^FX Third section with barcode." . PHP_EOL);
	fwrite($file,"^BY3,2,170" . PHP_EOL);
	fwrite($file,"^FO100,980^BC^FD$NumPal_Q1^FS" . PHP_EOL);


	fwrite($file,"^XZ" . PHP_EOL);
	
	///Cerramos el Archivo
	fclose($file);
	
	///Guardamos el registro dentro del neteador
	$sqlID = "select max(ID) as ultimo_FOLIO from temporal_etiquetapallet_neteador"; 
	$lib = mysql_query($sqlID); 
	$rs_lib = mysql_fetch_assoc($lib); 
	$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
	$sql_GN = "insert into temporal_etiquetapallet_neteador (ID,CVE_BODEGA,CVE_CUENTA,NO_DOC_COMPLE,SKU,NO_PALLET)
	values('$id_nuevo','$CveBod_Q1','$CveCta_Q1','$NumDoc_Q1','$CodSku_Q1','$NumPal_Q1')";
	$resultado_GN=mysql_query($sql_GN,$conexion) or die(mysql_error());
	
	///Eliminamos la solicitud original
	///$sqlEU= "DELETE FROM temporal_etiquetapallet WHERE NO_DOC_COMPLE='$NumDoc_Q1' and SKU='$CodSku_Q1' and NO_PALLET='$NumPal_Q1' and CUENTA='$CveCta_Q1' and ID='$IdBaDa_Q1'";
	///$resultadoEU=mysql_query($sqlEU,$conexion) or die(mysql_error());
	
	///Limpiamos Variables
	$IdBaDa_Q1 = "";
	$CveBod_Q1 = "";
	$CveCta_Q1 = "";
	$NumDoc_Q1 = "";
	$CodSku_Q1 = "";
	$FecCad_Q1 = "";
	$Cantid_Q1 = "";
	$NumPal_Q1 = "";
	$Descri_Q2 = "";
	$VarLot_Q2 = "";

}///Termina While 01
			
///***************** TERMINA PROCESO 1 - Generar ficheros ZPL dentro del FTP	*****************///
			
			///---

///***************** INICIA PROCESO 2 - Descargar Ficheros del FTP y Guardar en LOCAL	*****************///
			
///Hacer Barrido para Identificar si hay Pendientes  por Imprimir
$sql_w2=mysql_query("select * from temporal_etiquetapallet_neteador Order By ID ASC");
while($res_w2=mysql_fetch_array($sql_w2))
{///Inicia While 02

$IdBaDa_Q2 = $res_w2['ID'];
$CveCta_Q2 = $res_w2['CVE_CUENTA'];
$NumDoc_Q2 = $res_w2['NO_DOC_COMPLE'];
$CodSku_Q2 = $res_w2['SKU'];
$NumPal_Q2 = $res_w2['NO_PALLET'];	
	

///Ruta del fichero local (Carpeta donde se alojara dentro de nuestra PC)	
$local_file = 'C:/Labels_Logsys_Wms/Pallet/'.$NumPal_Q2.'.zpl'; 
	
///Ruta del fichero remoto (Carpeta de donde se descargara)
$server_file = 'wicore.cloudlogsyswms.com/wms/Labels_v2/FTP_Labels/Pallet/'.$NumPal_Q2.'.zpl';

///Variables de conexión FTP
$ftp_server="wicore.cloudlogsyswms.com";  //servidor ftp
///$ftp_server="localhost";  //servidor ftp
$ftp_user_name="ftp_labels";       //user ftp
$ftp_user_pass="xsrP64_4";    //pass ftp
 
///Creando la conexión
$conn_id = ftp_connect($ftp_server);
 
///Login al FTP
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
ftp_pasv($conn_id, true);
 
///Descargando el fichero y guardandolo
if (ftp_get($conn_id, $local_file, $server_file, FTP_BINARY)) {
    echo "Yeah! el fichero se ha descargado máquina! $local_file\n<Br>";
	
	/*
	///Borramos fichero
	$fileToDel="$NumPal_Q2.zpl";
	chdir('wicore.cloudlogsyswms.com/wms/Labels_v2/FTP_Labels/Pallet/'); 
  	$do = unlink($fileToDel); 
    if($do=="1"){ 
	echo ""; 
	} else { echo "Se ha producido un error al intentar eliminar el archivo."; }
	*/
	
}
else {
    echo "oooo, sigue probando, ha habido algun fallo<Br>";
}

///Cerrando la Conexión
ftp_close($conn_id);
		
	
///Eliminamos la solicitud del neteador
	$sqlEU2= "DELETE FROM temporal_etiquetapallet_neteador WHERE NO_DOC_COMPLE='$NumDoc_Q2' and SKU='$CodSku_Q2' and NO_PALLET='$NumPal_Q2' and CVE_CUENTA='$CveCta_Q2' and ID='$IdBaDa_Q2'";
	$resultadoEU2=mysql_query($sqlEU2,$conexion) or die(mysql_error());	
	
		
///Limpiamos Variables
$IdBaDa_Q2 = "";
$CveCta_Q2 = "";
$NumDoc_Q2 = "";
$CodSku_Q2 = "";
$NumPal_Q2 = "";

}///Termina While 02
			
///***************** TERMINA PROCESO 2 - Descargar Ficheros del FTP y Guardar en LOCAL	*****************///				
		
?>
<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP


} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>